Subject: bug#6906: [PATCH] cp: copy entirely-sparse files oodles faster

From: Assaf Gordon <[email-masked]>
Date: Wed, 10 Oct 2018 10:36:25 -0600

(triaging old bugs)

Hello,

On 17/04/11 10:28 AM, Paul Eggert wrote:
> On 04/17/11 01:55, Jim Meyering wrote:
>> Now that we have FIEMAP support, (by the looks of things
>> we will soon have SEEK_HOLE support in cp and in the linux kernel)
>> do you think adding support for this special case is worthwhile?
>> I could go either way.
>>
>> If so, would you care to rebase it for 8.13?
> 
> Yes, I expect it's worthwhile, as the FIEMAP stuff isn't universal.
> I'll add it to my list of thing to do.  It's not high priority,
> to be sure.

In the 8 years since the original thread,
cp(1) can now copy sparse files very fast (though I suspect it's still 
with FIEMAP and not SEEK_DATA/HOLE).

https://bugs.gnu.org/6906

Can this be closed as out-dated?

regards,
  - assaf